<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <link rel="stylesheet" href="/css/styles.css">

    <!-- Prism.js for code formatting-->
    <link rel="stylesheet" href="/css/prism.css">
    <script src="/js/prism.js"></script>

    <title>Taller Grupo de Estudio OAuth</title>
</head>

<body>
    <div class="container" style="margin-top:50px">
        <div class="jumbotron">
            <table >
                <tr>
                    <td>
                        <h2 class="display-4">
                            OpenID Connect
                        </h2>
                        <p class="lead">Authorization Code Flow</p>
                    </td>
                    <td>
                        <img src="https://cidenet.com.co/wp-content/themes/cidenet/images/cidenet-logo.png" style="display: block;margin-left: auto;margin-right: auto;width: 80%">
                    </td>
                </tr>
            </table>
            
            
        </div>
        <!--Stepper from Codepen: https://codepen.io/thdeux/pen/zBGNrM-->
        <div class="md-stepper-horizontal orange">
            <div class="md-step active">
                <a href="/">
                    <div class="md-step-circle"><span>1</span></div>
                </a>
                <div class="md-step-title">Obtener el código de autorización</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step">
                <div class="md-step-circle"><span>2</span></div>
                <div class="md-step-title">Cambiar el código de autorización por un token</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step">
                <div class="md-step-circle"><span>3</span></div>
                <div class="md-step-title">Obtener el token de acceso</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
            <div class="md-step">
                <div class="md-step-circle"><span>4</span></div>
                <div class="md-step-title">Llamado a la Api que nos proporcionará la información</div>
                <div class="md-step-bar-left"></div>
                <div class="md-step-bar-right"></div>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <div class="card text-center">
                    <div class="card-header">
                        Obtener el código de autorización
                    </div>
                    <div class="card-body">
                        <p class="card-text">Este cliente redirige al usuario al servidor de autorización para iniciar sesión y autorizar los permisos que estoy solicitando.</p>
                        <a href="/get/the/code" class="btn btn-primary">Ir al servidor de Autorización</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>